/*
    SQLToolKit/Unit
	Copyright Federico Razzoli  2012, 2013
	
	This file is part of SQLToolKit/Unit.
	
    SQLToolKit/Unit is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, version 3 of the License.
	
    SQLToolKit/Unit is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.
	
    You should have received a copy of the GNU Affero General Public License
    along with SQLToolKit/Unit.  If not, see <http://www.gnu.org/licenses/>.
*/


DELIMITER ||


SET @@session.SQL_MODE = 'ERROR_FOR_DIVISION_BY_ZERO,NO_ZERO_IN_DATE,NO_ZERO_DATE,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION,ONLY_FULL_GROUP_BY,STRICT_ALL_TABLES,STRICT_TRANS_TABLES';


DROP PROCEDURE IF EXISTS `stk_suite`.`stk_unit`;
CREATE PROCEDURE `stk_suite`.stk_unit()
	MODIFIES SQL DATA
	LANGUAGE SQL
	COMMENT 'All TCs for STKUnit'
BEGIN
	CALL `stk_unit`.`test_case_run`('test_stk_unit');
	CALL `stk_unit`.`test_case_run`('test_stk_unit_assertions');
END;


SET @@session.SQL_MODE = @@global.SQL_MODE;


||
DELIMITER ;
